Index: trunk/VUT/work/TestCulling/TestCullingApplication.cpp
===================================================================
--- trunk/VUT/work/TestCulling/TestCullingApplication.cpp	(revision 112)
+++ trunk/VUT/work/TestCulling/TestCullingApplication.cpp	(revision 115)
@@ -81,5 +81,5 @@
 void TestCullingApplication::createFrameListener()
 {
-	mFrameListener= new MouseQueryListener(mWindow, mCamera, mSceneMgr, 
+	mFrameListener= new TerrainMouseQueryListener(mWindow, mCamera, mSceneMgr, 
 		mGUIRenderer, mSceneContentGenerator);
 	mFrameListener->showDebugOverlay(true);
@@ -94,8 +94,8 @@
 
 /***********************************************/
-/* MouseQueryListener implementation           */
+/* TerrainMouseQueryListener implementation           */
 /***********************************************/
 //-----------------------------------------------------------------------
-MouseQueryListener::MouseQueryListener(RenderWindow* win, Camera* cam, 
+TerrainMouseQueryListener::TerrainMouseQueryListener(RenderWindow* win, Camera* cam, 
 									   SceneManager *sceneManager, 
 									   CEGUI::Renderer *renderer,
@@ -111,5 +111,5 @@
 mCurrentAlgorithm(GtpVisibility::VisibilityEnvironment::COHERENT_HIERARCHICAL_CULLING),
 mShowOctree(false),
-mUseVisibilityCulling(true),
+mUseDepthPass(false),
 mUseOptimization(true),
 mShowVisualization(false),
@@ -154,5 +154,5 @@
 	
 	mSceneMgr->setOption("UseOptimization", &mUseOptimization);
-	mSceneMgr->setOption("UseVisibilityCulling", &mUseVisibilityCulling);
+	mSceneMgr->setOption("UseDepthPass", &mUseDepthPass);
 	mSceneMgr->setOption("ShowVizualisation", &mShowVisualization);
 	mSceneMgr->setOption("ShowOctree", &mShowOctree);
@@ -161,9 +161,9 @@
 } 
 //-----------------------------------------------------------------------
-MouseQueryListener::~MouseQueryListener( )
-{
-}
-//-----------------------------------------------------------------------
-void MouseQueryListener::mouseMoved (MouseEvent *e)
+TerrainMouseQueryListener::~TerrainMouseQueryListener( )
+{
+}
+//-----------------------------------------------------------------------
+void TerrainMouseQueryListener::mouseMoved (MouseEvent *e)
 {
 	// Update CEGUI with the mouse motion
@@ -171,5 +171,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::mousePressed(MouseEvent* e)
+void TerrainMouseQueryListener::mousePressed(MouseEvent* e)
 {
      // Left mouse button down
@@ -187,5 +187,5 @@
 
  //-----------------------------------------------------------------------
-void MouseQueryListener::mouseReleased(MouseEvent* e)
+void TerrainMouseQueryListener::mouseReleased(MouseEvent* e)
 {
     // Left mouse button up
@@ -203,5 +203,5 @@
 } 
 //-----------------------------------------------------------------------
-void MouseQueryListener::mouseDragged (MouseEvent *e)
+void TerrainMouseQueryListener::mouseDragged (MouseEvent *e)
  {
 	 // If we are dragging the left mouse button.	 	 
@@ -218,10 +218,10 @@
 }
 //-----------------------------------------------------------------------
-bool MouseQueryListener::frameStarted(const FrameEvent &evt)
+bool TerrainMouseQueryListener::frameStarted(const FrameEvent &evt)
 {	 
 	return ExampleFrameListener::frameStarted(evt);
 }
 //-----------------------------------------------------------------------
-bool MouseQueryListener::frameEnded(const FrameEvent& evt)
+bool TerrainMouseQueryListener::frameEnded(const FrameEvent& evt)
 {
 	if (mShutdownRequested)
@@ -236,5 +236,5 @@
 	KEY_PRESSED(KC_ADD, 0, changeThreshold(10));
 	KEY_PRESSED(KC_O, 0.3, toggleUseOptimization());
-	KEY_PRESSED(KC_C, 0.3, toggleUseVisibilityCulling());
+	KEY_PRESSED(KC_C, 0.3, toggleUseDepthPass());
 	KEY_PRESSED(KC_V, 0.3, toggleShowViz());
 
@@ -244,5 +244,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::changeThreshold(int incr)
+void TerrainMouseQueryListener::changeThreshold(int incr)
 {
 	mVisibilityThreshold += incr; 
@@ -255,5 +255,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::nextAlgorithm()
+void TerrainMouseQueryListener::nextAlgorithm()
 {
 	mCurrentAlgorithm = ++mCurrentAlgorithm % 
@@ -263,5 +263,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::toggleUseOptimization()
+void TerrainMouseQueryListener::toggleUseOptimization()
 {
 	mUseOptimization = !mUseOptimization;
@@ -275,5 +275,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::toggleShowOctree()
+void TerrainMouseQueryListener::toggleShowOctree()
 {
 	mShowOctree = !mShowOctree;
@@ -282,12 +282,12 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::toggleUseVisibilityCulling()
-{
-	mUseVisibilityCulling = !mUseVisibilityCulling;
-
-	mSceneMgr->setOption("UseVisibilityCulling", &mUseVisibilityCulling);
-}
-//-----------------------------------------------------------------------
-void MouseQueryListener::toggleShowViz()
+void TerrainMouseQueryListener::toggleUseDepthPass()
+{
+	mUseDepthPass = !mUseDepthPass;
+
+	mSceneMgr->setOption("UseDepthPass", &mUseDepthPass);
+}
+//-----------------------------------------------------------------------
+void TerrainMouseQueryListener::toggleShowViz()
 {
 	mShowVisualization = !mShowVisualization;
@@ -297,5 +297,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::setAlgorithm(int algorithm)
+void TerrainMouseQueryListener::setAlgorithm(int algorithm)
 {
 	mAlgorithmInfo->setCaption(": " + mCurrentAlgorithmCaptions[mCurrentAlgorithm]);
@@ -303,5 +303,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::updateStats()
+void TerrainMouseQueryListener::updateStats()
 {
 	unsigned int opt = 0;
@@ -330,5 +330,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::keyPressed(KeyEvent* e)
+void TerrainMouseQueryListener::keyPressed(KeyEvent* e)
 {
 	if(e->getKey() == KC_ESCAPE)
@@ -344,5 +344,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::keyReleased(KeyEvent* e)
+void TerrainMouseQueryListener::keyReleased(KeyEvent* e)
 {
 	CEGUI::System::getSingleton().injectKeyUp(e->getKey());
@@ -350,5 +350,5 @@
 }
 //-----------------------------------------------------------------------
-void MouseQueryListener::keyClicked(KeyEvent* e) 
+void TerrainMouseQueryListener::keyClicked(KeyEvent* e) 
 {
 	// Do nothing
Index: trunk/VUT/work/TestCulling/TestCullingApplication.h
===================================================================
--- trunk/VUT/work/TestCulling/TestCullingApplication.h	(revision 112)
+++ trunk/VUT/work/TestCulling/TestCullingApplication.h	(revision 115)
@@ -25,13 +25,13 @@
 };
 
-class MouseQueryListener : public ExampleFrameListener, public MouseListener, public MouseMotionListener
+class TerrainMouseQueryListener : public ExampleFrameListener, public MouseListener, public MouseMotionListener
 {
 public:
 
-    MouseQueryListener(RenderWindow* win, Camera* cam, SceneManager *sceneManager, 
+    TerrainMouseQueryListener(RenderWindow* win, Camera* cam, SceneManager *sceneManager, 
 			CEGUI::Renderer *renderer, SceneContentGenerator *sceneContentGenerator);
 
 
-    ~MouseQueryListener( );
+    ~TerrainMouseQueryListener( );
 
 	bool frameStarted(const FrameEvent& evt);
@@ -66,5 +66,5 @@
 	void toggleUseOptimization();
 	void toggleShowOctree();
-	void toggleUseVisibilityCulling();
+	void toggleUseDepthPass();
 	void toggleShowViz();
 
@@ -94,5 +94,5 @@
 	bool mUseOptimization;
 	bool mShowOctree;
-	bool mUseVisibilityCulling;
+	bool mUseDepthPass;
 	bool mShowVisualization;
 
